package com.fdkankan.scene.service;

import com.fdkankan.common.response.ResultData;
import com.fdkankan.scene.entity.PicSceneProgress;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.scene.vo.RebuildVedioSceneParamVO;
import com.fdkankan.scene.vo.VideoSceneProgressVO;

/**
 * <p>
 * 视频重算进度 服务类
 * </p>
 *
 * @author 
 * @since 2022-01-14
 */
public interface IPicSceneProgressService extends IService<PicSceneProgress> {

    VideoSceneProgressVO findPicSceneProgress(RebuildVedioSceneParamVO param);

    void updateProgressRec(RebuildVedioSceneParamVO param);

    PicSceneProgress findrebuildVideoProgressDetail (String num,String panId );

    void updateProgress(String num,String panId,Integer status);

    void updatePageView(String sceneCode);

    ResultData rebuildPicSceneProgress(RebuildVedioSceneParamVO param) throws Exception;

}
